From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-libs/gdk-pixbuf/
Date: Tue, 8 Dec 2020 08:18:19 +0000 (UTC) [thread overview]
Message-ID: <1607415484.7be3dc3ae4fd9c4892e29c3e412c9ce46372f658.leio@gentoo> (raw)
commit: 7be3dc3ae4fd9c4892e29c3e412c9ce46372f658
Author: Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 8 08:12:36 2020 +0000
Commit: Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Tue Dec 8 08:18:04 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7be3dc3a
x11-libs/gdk-pixbuf: security bump to 2.42.2 (CVE-2020-29385)
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>
x11-libs/gdk-pixbuf/Manifest | 1 +
x11-libs/gdk-pixbuf/gdk-pixbuf-2.42.2.ebuild | 131 +++++++++++++++++++++++++++
2 files changed, 132 insertions(+)
diff --git a/x11-libs/gdk-pixbuf/Manifest b/x11-libs/gdk-pixbuf/Manifest
index abfeaec502c..7718a893595 100644
--- a/x11-libs/gdk-pixbuf/Manifest
+++ b/x11-libs/gdk-pixbuf/Manifest
@@ -1,2 +1,3 @@
DIST gdk-pixbuf-2.40.0.tar.xz 5512160 BLAKE2B 26049a9ede60e7a50bdc5e9a731136e4bc6de031d01abd42667a0bf92617c36bcdc61d2dc18beb3c5223e32eab461ddb9fc9880a014ac1154763d3b7ee3e7200 SHA512 6512befd379494dbfd89a16fc4c92641842eb7b82fc820ec83a5b057526209947db646570db1124c073b0ef69c117bdf0f8d3fea807e302a4950db39187c35aa
DIST gdk-pixbuf-2.42.0.tar.xz 6510964 BLAKE2B 1299d050620a08582cb80d3d726713a1c005de3148e6e24a425248ea85f705ee741199c8ab445e4de4c3338904bf37c7a4ff0e61fee4fb23d68a93489b972b84 SHA512 c9962d42e5bf13514091234342e259be1e06b2c4dea2936e16104a3b58f0b6837f070224c04be9541d75f5ea34d1da398f178a1eed1f9059f6429faf5c223e34
+DIST gdk-pixbuf-2.42.2.tar.xz 6514352 BLAKE2B 1230378ee1843f7a861772e708eba64d80a55379104c64b45efa35617aa6d9f0b49ea7996762d91ba1223172162b2b7c1209a53d906c1be43448163f9e230e08 SHA512 f341d032ea410efed7a35f8ca6a7389bf988f663dae16e774d114d6f11611e9e182c835e90d752b71c258c905cc5c4c785ea697feed5e6921a2a676c9deaa5f2
diff --git a/x11-libs/gdk-pixbuf/gdk-pixbuf-2.42.2.ebuild b/x11-libs/gdk-pixbuf/gdk-pixbuf-2.42.2.ebuild
new file mode 100644
index 00000000000..a76260745fe
--- /dev/null
+++ b/x11-libs/gdk-pixbuf/gdk-pixbuf-2.42.2.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org gnome2-utils meson multilib multilib-minimal xdg
+
+DESCRIPTION="Image loading library for GTK+"
+HOMEPAGE="https://git.gnome.org/browse/gdk-pixbuf"
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="gtk-doc +introspection jpeg tiff"
+
+# TODO: For windows/darwin support: shared-mime-info conditional, native_windows_loaders option review
+DEPEND="
+ >=dev-libs/glib-2.56.0:2[${MULTILIB_USEDEP}]
+ x11-misc/shared-mime-info
+ >=media-libs/libpng-1.4:0=[${MULTILIB_USEDEP}]
+ jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
+ tiff? ( >=media-libs/tiff-3.9.2:0=[${MULTILIB_USEDEP}] )
+ introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+RDEPEND="${DEPEND}
+ !<x11-libs/gtk+-2.90.4:3
+"
+BDEPEND="
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ dev-util/glib-utils
+ gtk-doc? ( >=dev-util/gtk-doc-1.20
+ app-text/docbook-xml-dtd:4.3 )
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ >=dev-util/meson-0.55.3
+"
+
+MULTILIB_CHOST_TOOLS=(
+ /usr/bin/gdk-pixbuf-query-loaders$(get_exeext)
+)
+
+PATCHES=(
+ # Do not run lowmem test on uclibc
+ # See https://bugzilla.gnome.org/show_bug.cgi?id=756590
+ "${FILESDIR}"/${PN}-2.32.3-fix-lowmem-uclibc.patch
+)
+
+src_prepare() {
+ xdg_src_prepare
+ # This will avoid polluting the pkg-config file with versioned libpng,
+ # which is causing problems with libpng14 -> libpng15 upgrade
+ # See upstream bug #667068
+ # First check that the pattern is present, to catch upstream changes on bumps,
+ # because sed doesn't return failure code if it doesn't do any replacements
+ grep -q "foreach png: \[ 'libpng16', 'libpng15', 'libpng14', 'libpng13', 'libpng12', 'libpng10' \]" meson.build || die "libpng check order has changed upstream"
+ sed -e "s/foreach png: \[ 'libpng16', 'libpng15', 'libpng14', 'libpng13', 'libpng12', 'libpng10' \]/foreach png: \[ 'libpng', 'libpng16', 'libpng15', 'libpng14', 'libpng13', 'libpng12', 'libpng10' \]/" -i meson.build || die
+}
+
+multilib_src_configure() {
+ local emesonargs=(
+ -Dpng=true
+ $(meson_use tiff)
+ $(meson_use jpeg)
+ -Dbuiltin_loaders=png
+ -Drelocatable=false
+ #native_windows_loaders
+ -Dinstalled_tests=false
+ -Dgio_sniffing=true
+ )
+ if multilib_is_native_abi; then
+ emesonargs+=(
+ $(meson_use gtk-doc gtk_docs)
+ $(meson_feature introspection)
+ -Dman=true
+ )
+ else
+ emesonargs+=(
+ -Dgtk_doc=false
+ -Dintrospection=disabled
+ -Dman=false
+ )
+ fi
+ meson_src_configure
+}
+
+multilib_src_compile() {
+ meson_src_compile
+}
+
+multilib_src_test() {
+ meson_src_test
+}
+
+multilib_src_install() {
+ meson_src_install
+}
+
+pkg_preinst() {
+ xdg_pkg_preinst
+
+ multilib_pkg_preinst() {
+ # Make sure loaders.cache belongs to gdk-pixbuf alone
+ local cache="usr/$(get_libdir)/${PN}-2.0/2.10.0/loaders.cache"
+
+ if [[ -e ${EROOT}/${cache} ]]; then
+ cp "${EROOT}"/${cache} "${ED}"/${cache} || die
+ else
+ touch "${ED}"/${cache} || die
+ fi
+ }
+
+ multilib_foreach_abi multilib_pkg_preinst
+ gnome2_gdk_pixbuf_savelist
+}
+
+pkg_postinst() {
+ # causes segfault if set, see bug 375615
+ unset __GL_NO_DSO_FINALIZER
+
+ xdg_pkg_postinst
+ multilib_foreach_abi gnome2_gdk_pixbuf_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+
+ if [[ -z ${REPLACED_BY_VERSION} ]]; then
+ rm -f "${EROOT}"/usr/lib*/${PN}-2.0/2.10.0/loaders.cache
+ fi
+}
next reply other threads:[~2020-12-08 8:18 UTC|newest]
Thread overview: 172+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-12-08 8:18 Mart Raudsepp [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-30 18:07 [gentoo-commits] repo/gentoo:master commit in: x11-libs/gdk-pixbuf/ Pacho Ramos
2024-02-06 11:02 Michał Górny
2022-12-16 1:40 Sam James
2022-11-16 18:10 Arthur Zamarin
2022-11-05 18:58 Arthur Zamarin
2022-11-05 9:44 Arthur Zamarin
2022-10-31 20:31 Matt Turner
2022-10-25 20:11 Matt Turner
2022-10-25 20:08 Matt Turner
2022-08-11 16:20 Matt Turner
2022-08-10 19:46 Matt Turner
2022-05-31 18:24 Matt Turner
2022-05-09 5:29 WANG Xuerui
2022-03-20 22:15 Matt Turner
2022-01-24 22:43 Matt Turner
2022-01-24 19:21 Sam James
2022-01-24 14:49 Sam James
2022-01-24 14:45 Sam James
2022-01-22 22:39 Sam James
2021-12-12 17:29 Mart Raudsepp
2021-09-19 19:58 James Le Cuirot
2021-06-04 3:12 Matt Turner
2021-06-04 1:14 Matt Turner
2021-05-31 17:43 Sergei Trofimovich
2021-04-18 15:04 Matt Turner
2021-04-16 0:49 Matt Turner
2021-04-15 21:28 Matt Turner
2021-04-15 18:28 Sergei Trofimovich
2021-04-15 5:25 Sam James
2021-04-15 1:33 Sam James
2021-04-15 0:13 Sam James
2021-04-14 22:07 Sam James
2021-04-14 22:07 Sam James
2021-04-14 18:51 Mikle Kolyada
2021-03-27 20:55 Matt Turner
2020-12-17 14:00 Mart Raudsepp
2020-12-17 6:50 Sam James
2020-12-14 8:03 Sam James
2020-12-13 8:51 Sam James
2020-12-12 23:56 Sam James
2020-12-11 23:10 Sergei Trofimovich
2020-12-11 23:07 Sergei Trofimovich
2020-12-11 7:42 Sergei Trofimovich
2020-12-10 21:41 Thomas Deutschmann
2020-11-10 15:35 Matt Turner
2020-03-02 20:23 Mart Raudsepp
2020-01-11 20:11 Mart Raudsepp
2020-01-11 20:11 Mart Raudsepp
2020-01-01 16:06 Mart Raudsepp
2020-01-01 15:25 Agostino Sarubbo
2019-12-25 10:28 Sergei Trofimovich
2019-12-09 9:14 Agostino Sarubbo
2019-12-09 9:11 Agostino Sarubbo
2019-12-09 0:10 Aaron Bauman
2019-12-08 12:00 Mikle Kolyada
2019-12-08 11:58 Mikle Kolyada
2019-12-08 11:55 Mikle Kolyada
2019-12-08 11:52 Mikle Kolyada
2019-12-08 11:41 Mikle Kolyada
2019-10-13 11:35 Mart Raudsepp
2019-10-13 11:27 Mart Raudsepp
2019-10-09 8:27 Agostino Sarubbo
2019-09-09 6:31 Mart Raudsepp
2019-08-28 12:52 Mart Raudsepp
2019-08-28 8:19 David Seifert
2019-07-03 7:11 Agostino Sarubbo
2019-06-27 12:35 Agostino Sarubbo
2019-06-17 10:07 Mikle Kolyada
2019-05-23 13:02 Mikle Kolyada
2019-05-10 17:49 Mikle Kolyada
2019-05-10 17:33 Mikle Kolyada
2019-05-09 20:04 Aaron Bauman
2019-05-08 9:33 Mikle Kolyada
2019-03-12 5:37 Mart Raudsepp
2019-03-10 13:23 Mart Raudsepp
2019-01-14 7:14 Sergei Trofimovich
2018-11-24 13:36 Sergei Trofimovich
2018-10-07 11:29 Mart Raudsepp
2018-07-30 21:57 Mikle Kolyada
2018-05-29 12:29 Mikle Kolyada
2018-05-14 16:03 Tobias Klausmann
2018-05-04 20:46 Markus Meier
2018-04-28 17:05 Sergei Trofimovich
2018-04-28 16:36 Sergei Trofimovich
2018-04-26 22:32 Aaron Bauman
2018-04-26 17:15 Thomas Deutschmann
2018-04-18 6:44 Mart Raudsepp
2018-04-11 12:27 Mart Raudsepp
2018-03-12 6:17 Matt Turner
2018-02-24 19:23 Sergei Trofimovich
2018-02-08 22:22 Sergei Trofimovich
2018-02-05 21:27 Markus Meier
2018-02-03 21:06 Sergei Trofimovich
2018-01-20 16:49 Tobias Klausmann
2018-01-18 15:45 Mikle Kolyada
2018-01-17 5:11 Thomas Deutschmann
2018-01-13 12:13 Sergei Trofimovich
2017-12-27 13:02 Mart Raudsepp
2017-12-27 8:35 Markus Meier
2017-12-19 19:14 Thomas Deutschmann
2017-12-17 23:15 Gilles Dartiguelongue
2017-12-16 14:04 Tobias Klausmann
2017-12-02 10:41 Sergei Trofimovich
2017-11-23 20:47 Sergei Trofimovich
2017-11-18 13:20 Sergei Trofimovich
2017-11-06 20:49 Tobias Klausmann
2017-11-04 13:04 Sergei Trofimovich
2017-09-13 22:28 Gilles Dartiguelongue
2017-09-10 10:13 Gilles Dartiguelongue
2017-09-09 17:24 Sergei Trofimovich
2017-09-08 7:46 Sergei Trofimovich
2017-09-05 4:40 Markus Meier
2017-09-04 10:47 Tobias Klausmann
2017-09-02 18:41 Aaron Bauman
2017-09-02 18:41 Aaron Bauman
2017-09-02 15:56 Sergei Trofimovich
2017-08-28 22:05 Gilles Dartiguelongue
2017-07-07 21:20 Mart Raudsepp
2017-07-07 10:12 Agostino Sarubbo
2017-05-11 18:33 Markus Meier
2017-04-30 10:01 Jeroen Roovers
2017-04-30 9:37 Agostino Sarubbo
2017-04-29 15:02 Agostino Sarubbo
2017-04-27 22:40 Mart Raudsepp
2017-04-27 10:36 Agostino Sarubbo
2017-04-23 21:23 Agostino Sarubbo
2017-04-22 19:08 Tobias Klausmann
2017-04-22 17:53 Tobias Klausmann
2017-04-12 10:10 Jeroen Roovers
2017-04-01 16:31 Agostino Sarubbo
2017-04-01 13:16 Agostino Sarubbo
2017-03-29 7:45 Michael Weber
2017-03-28 23:03 Mart Raudsepp
2017-03-28 15:09 Michael Weber
2017-03-28 14:59 Michael Weber
2017-02-24 21:59 Mart Raudsepp
2017-01-29 21:11 Fabian Groffen
2017-01-16 18:45 Mart Raudsepp
2016-12-30 2:01 Mart Raudsepp
2016-12-21 7:13 Remi Cardona
2016-12-14 23:55 Remi Cardona
2016-12-06 20:48 Markus Meier
2016-11-01 23:58 Gilles Dartiguelongue
2016-10-03 6:12 Jeroen Roovers
2016-09-15 15:21 Michał Górny
2016-05-03 20:30 Markus Meier
2016-04-07 10:17 Jeroen Roovers
2016-04-02 20:38 Pacho Ramos
2016-02-28 11:09 Pacho Ramos
2016-02-28 11:09 Pacho Ramos
2016-02-25 23:02 Andreas Hüttel
2016-01-02 16:19 Gilles Dartiguelongue
2015-12-19 17:47 Gilles Dartiguelongue
2015-11-07 23:53 Mikle Kolyada
2015-11-05 10:58 Agostino Sarubbo
2015-11-03 19:16 Markus Meier
2015-10-21 13:21 Tobias Klausmann
2015-10-14 7:15 Agostino Sarubbo
2015-10-14 4:00 Jeroen Roovers
2015-10-13 7:24 Agostino Sarubbo
2015-10-13 7:23 Agostino Sarubbo
2015-10-12 23:45 Alexandre Rostovtsev
2015-10-12 23:35 Alexandre Rostovtsev
2015-09-25 6:03 Markus Meier
2015-09-22 8:57 Agostino Sarubbo
2015-09-11 10:33 Tobias Klausmann
2015-09-06 8:32 Agostino Sarubbo
2015-09-03 8:25 Agostino Sarubbo
2015-09-03 8:24 Agostino Sarubbo
2015-09-02 4:33 Jeroen Roovers
2015-08-26 7:28 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1607415484.7be3dc3ae4fd9c4892e29c3e412c9ce46372f658.leio@gentoo \
--to=leio@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox